Sketcher SketchObject/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Un Sketcher SketchObject (classe {{incode|Sketcher::SketchObject}}) deriva da un Part Part2DObject ({{incode|Part::Part2DObject...")
(Created page with "Oltre alle proprietà descritte in Part Part2DObject, il corpo di PartDesign ha le seguenti proprietà nell'property editor/it|editor delle propriet...")
Line 34: Line 34:
Un [[Sketcher_SketchObject|Sketcher SketchObject]] (classe {{incode|Sketcher::SketchObject}}) deriva da un [[Part_Part2DObject|Part Part2DObject]] ({{incode|Part::Part2DObject}}), quindi condivide tutte le proprietà di quest'ultimo.
Un [[Sketcher_SketchObject|Sketcher SketchObject]] (classe {{incode|Sketcher::SketchObject}}) deriva da un [[Part_Part2DObject|Part Part2DObject]] ({{incode|Part::Part2DObject}}), quindi condivide tutte le proprietà di quest'ultimo.


In addition to the properties described in [[Part_Part2DObject|Part Part2DObject]], the basic Sketcher SketchObject has the following properties in the [[property editor|property editor]].
Oltre alle proprietà descritte in [[Part_Part2DObject/it|Part Part2DObject]], il corpo di PartDesign ha le seguenti proprietà nell'[[property editor/it|editor delle proprietà]].


=== Data ===
=== Data ===

Revision as of 15:37, 1 December 2019

Other languages:

Introduzione

Un Sketcher SketchObject, o formalmente un Sketcher::SketchObject, è l'elemento base per creare oggetti 2D con l'ambiente Sketcher.

Sketcher::SketchObject deriva da Part Part2DObject, il che significa che è un oggetto Part Feature specializzato per la geometria 2D. Come Part2DObject, anche SketchObject può essere collegato a piani e facce. Inoltre, SketchObject è in grado di gestire i vincoli geometrici delle linee e delle curve disegnate al suo interno.

Diagramma semplificato delle relazioni tra gli oggetti principali in FreeCAD. La classe Sketcher::SketchObject è specializzata per le forme 2D e inoltre può gestire i vincoli.

Utilizzo

  1. Passare all'ambiente Sketcher.
  2. Premere Nuovo schizzo.
  3. Selezionare un orientamento: piano XY, piano XZ o piano YZ. Opzionalmente scegliere anche Direzione inversa, e assegnare un valore di Offset.
  4. Premere OK.

Sebbene SketchObject possa essere utilizzato da solo per disegnare su un piano, viene comunemente utilizzato insieme a PartDesign per creare solidi estrusi.

  1. Passare in PartDesign.
  2. Premere Crea un corpo.
  3. Premere Crea uno schizzo.
  4. Selezione della funzione: piano XY (piano base), piano XZ (piano base) o piano YZ (piano base).
  5. Premere OK.

Proprietà

Vedere Proprietà per tutti i tipi di proprietà che possono avere gli oggetti con script.

Un Sketcher SketchObject (classe Sketcher::SketchObject) deriva da un Part Part2DObject (Part::Part2DObject), quindi condivide tutte le proprietà di quest'ultimo.

Oltre alle proprietà descritte in Part Part2DObject, il corpo di PartDesign ha le seguenti proprietà nell'editor delle proprietà.

Data

Attachment

  • DatiMap Mode: See Part Attachment for more information on all attachment mapping modes.

Sketch

  • DatiConstraints: named constraints, if they exist; otherwise it is an empty list [].

View

Auto Constraints

  • VistaAutoconstraints: if true it will try setting constraints when the geometry is drawn.

Visibility automation

  • VistaEditing Workbench: normally SketcherWorkbench, it is the name of the workbench to activate when editing the sketch.
  • VistaHide Dependent: if true all objects that depend on the sketch are hidden when opening the sketch.
  • VistaRestore Camera: if true the camera position is saved before opening the sketch, and is restored after closing it.
  • VistaShow Links: if true all objects used in links to external geometry are shown when opening the sketch.
  • VistaShow Support: if true all objects this sketch is attached to are shown when opening the sketch.

Scripting

See also: FreeCAD Scripting Basics, and scripted objects.

See Part Feature for the general information.

A Sketcher SketchObject is created with the addObject() method of the document.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Name")
obj.Label = "Custom label"